define([
    'angular',
    'uiRouter',
    'fclick',
    'ocLazyLoad', 
    'fireBase', 
    'angularFire', 
    './controllers',
    './services',
    './directives',
    './filters',
    'angularidle',
    'ngscroll',
    'datatables.net',
    'datatables',
    'angularDataTables',
    'responsiveTables',
    'angularAnimate'
    
], function (ng, uiRouter, FastClick, ocLazyLoad, Firebase, angularFire, controllers, services, directives, filters, angularidle, ngscroll) {
    'use strict';    

    //Initailize the app and pull together all the dependancies here
    var app = ng.module('app', [        
        'app.main.services',
        'app.main.controllers',
        'app.main.directives',
        'app.main.filters',
        'ui.router',
        'oc.lazyLoad',
        'firebase',
        'ngAnimate',
        'ngIdle',
        'datatables',
        'duScroll',
        'ui.bootstrap'
    ]);

    
    //app.constant('FIREBASE_URL', 'https://dev-kenya-open.firebaseio.com/');
    app.constant('FIREBASE_URL', 'https://level-up-dev.firebaseio.com/');

    //Attach fast click plugin on to the app
    app.run(['$rootScope', '$state', '$stateParams', 'Idle', 'properties', 'settings', '$interval', function($rootScope, $state, $stateParams, Idle, properties, settings, $interval) {      
        
        Idle.watch();        

        $rootScope.$state = $state;
        $rootScope.$stateParams = $stateParams;
       
        
        FastClick.attach(document.body);

        $rootScope.$on("$stateChangeStart", function(event, toState, toParams, fromState, fromParams){
            
            properties.setCurrentURL(toState.name);

        });


        $rootScope.$on("$stateChangeSuccess", function(event, toState, toParams, fromState, fromParams){
        
            $rootScope.currenturl = properties.getCurrentURL();

        });

        var d = new Date();
        $rootScope.year = d.getFullYear();


    }]);

    return app;
});