define(['./module', 'jquery', 'bootui'], function (controllers, jQuery) {
    'use strict';
    
    controllers.controller("LandingController", ["$scope", "$state", "settings", "pwop", "properties", "DTOptionsBuilder", "DTColumnDefBuilder", "$q", function($scope, $state,settings, pwop, properties, DTOptionsBuilder, DTColumnDefBuilder, $q) {
	    	          	
            
		    //List all scores

		    $scope.scores = properties.getScores();

		    $scope.gifts = properties.getGifts();   


		    if(($scope.scores.length == 0) || ($scope.gifts.length == 0)){
		        
		        settings.show_wait();

		        $q.all([
		           pwop.getScores(),
		           pwop.getGifts()

		        ]).then(function(data) {

		           settings.hide_wait();

		           var scores_response = data[0].data;
		           var gifts_response = data[1].data;

		              if(scores_response.success){
		                  $scope.scores = scores_response.scores; 
		                  properties.setScores($scope.scores);             
		              }else{
		                  console.log('Server error: '.scores_response.message);
		              }


		              if(gifts_response.success){
		                  $scope.gifts = gifts_response.gifts; 
		                  properties.setGifts($scope.gifts)             ;
		              }else{
		                  console.log('Server error: '.gifts_response.message);
		              }

		        },function(error) { 
		              settings.hide_wait();
		              console.log(error);
		        });

		      }

		    
		    var getScores = function(){

		        var defer = $q.defer();        

		        if($scope.scores.length == 0){

		             settings.show_wait();

		             var promise = pwop.getScores();

		             promise.then(function(data) {
		                  
		                  var response = data.data;

		                  if(response.success){
		                    $scope.scores = response.scores;
		                    defer.resolve(response.scores);
		                  }else{
		                    console.log('Server error: '.response.message);
		                  }

		                  settings.hide_wait();

		             },function(error) { 
		                  settings.hide_wait();
		                  console.log(error);
		             });

		        }else{
		          defer.resolve($scope.scores);
		        }

		        return defer.promise;
		    };    

		    $scope.dtOptions = DTOptionsBuilder.fromFnPromise(function() {
		        return getCategorys();
		    }).withPaginationType('full_numbers')
		      .withDisplayLength(10)      
		      .withOption('language', {
		        zeroRecords: 'Loading Data...'
		      });

		    $scope.dtColumnDefs = [
		        DTColumnDefBuilder.newColumnDef(0),
		        DTColumnDefBuilder.newColumnDef(1), 
		        DTColumnDefBuilder.newColumnDef(2),
		        DTColumnDefBuilder.newColumnDef(3),
		        DTColumnDefBuilder.newColumnDef(4)
		    ];   



		    //List all gifts

    
		    var getGifts = function(){

		        var defer = $q.defer();        

		        if($scope.gifts.length == 0){

		             settings.show_wait();

		             var promise = pwop.getGifts();

		             promise.then(function(data) {
		                  
		                  var response = data.data;

		                  if(response.success){
		                    $scope.gifts = response.gifts;
		                    defer.resolve(response.gifts);
		                  }else{
		                    console.log('Server error: '.response.message);
		                  }

		                  settings.hide_wait();

		             },function(error) { 
		                  settings.hide_wait();
		                  console.log(error);
		             });

		        }else{
		          defer.resolve($scope.gifts);
		        }

		        return defer.promise;
		    };    

		    $scope.dtOptionsGifts = DTOptionsBuilder.fromFnPromise(function() {
		        return getGifts();
		    }).withPaginationType('full_numbers')
		      .withDisplayLength(10)      
		      .withOption('language', {
		        zeroRecords: 'Loading Data...'
		      });

		    $scope.dtColumnDefsGifts = [
		        DTColumnDefBuilder.newColumnDef(0),
		        DTColumnDefBuilder.newColumnDef(1), 
		        DTColumnDefBuilder.newColumnDef(2),
		        DTColumnDefBuilder.newColumnDef(3),
		        DTColumnDefBuilder.newColumnDef(4)
		    ];


    


	     
	  }

	]);
});
