define(['./module', "wait"], function (services, waitMe) {
        
    services.factory('settings', ["$timeout", "$q", "$http", function($timeout, $q, $http){   	
      
      var api_url = 'http://www.izoneafrica.net/pwop-api/index.php/pwop';
      //var api_url = 'http://localhost/pop/index.php/pwop';

      var settings = { 
         
          api_url: api_url,

          notify : function(message){              
             
              $('.notice_message').html(message);

              $('.notifications').fadeIn(500,function(){
                  $(this).css({"display":"block"});
                  $('.overlay').css('display', 'block');
              });              

              $timeout(function() {
                
                $('.notifications').fadeOut(500,function(){
                      $(this).css({"display":"none"});
                      $('.overlay').css('display', 'none');
                });

              }, 4000);

          },

          confirm : function(message){   

              var deferred = $q.defer();           
             
              $('.confirm_message').html(message);

              $('.confirm').fadeIn(500,function(){
                  $(this).css({"display":"block"});
                  $('.overlay').css('display', 'block');
              });              

              
              function close(){  
                $('.confirm').fadeOut(500,function(){
                      $(this).css({"display":"none"});
                      $('.overlay').css('display', 'none');
                }); 
              } 

              $('button.ok').on('click', function(){
                  close();
                  deferred.resolve(true);
              });

              $('button.cancel').on('click', function(){
                  close();
                  deferred.resolve(false);
              });

              return deferred.promise;               

          },


          show_wait  : function(){ 

              var opts = {
                effect: 'bounce',
                text: 'Please wait...',
                bg: 'rgba(255,255,255,0.7)',
                color:'#3598dc',
                sizeW:'',
                sizeH:'',
                source: 'img/img.svg'
              };

              var target = $('.spinner');

              $('.spinner-overlay').css('display', 'block');
              $('.spinner').css('display', 'block');
              target.waitMe(opts);

          },

          hide_wait  : function(){

              var target = $('.spinner');
              $('.spinner-overlay').css('display', 'none');
              $('.spinner').css('display', 'none');
              target.waitMe("hide");

          }

          
      };    	

    	return settings;
      
    }]);

});
