//Configure all the files that the application needs
requirejs.config({
  baseUrl: "js",
  paths: {
    
    domReady: "vendor/domready/domReady",    
    jquery: "vendor/jquery/jquery-2.2.0.min",    
    fclick: "vendor/fastclick/fastclick",
    ngscroll: "vendor/scroll/angular-scroll.min",    
    angularidle: "vendor/angular-idle/angular-idle.min",
    angular: "vendor/angular/angular",    
    angulartouch: "vendor/angular/angular-touch",
    angularmock: "vendor/angular/angular-mocks",    
    uiRouter: "vendor/uirouter/angular-ui-router.min",    
    angularAnimate: "vendor/angular/angular-animate",    
    'datatables.net': "vendor/plugins/datatables/jquery.dataTables",
    datatables: "vendor/plugins/datatables/dataTables.bootstrap",
    responsiveTables: "vendor/plugins/datatables/dataTables.responsive",
    angularDataTables: "vendor/plugins/angular-datatables/angular-datatables",
    ocLazyLoad: "vendor/oclazy/ocLazyLoad.require",
    back: "vendor/backstretch/jquery.backstretch.min",
    wait: "vendor/wait/waitMe.min",
    angularFire: "vendor/angular-fire/angularfire.min",
    fireBase: "vendor/firebase/firebase.2.2.9.min",
    greensock: "vendor/layerslider/greensock",
    layersliderTransitions: "vendor/layerslider/layerslider.transitions",
    layersliderKreaturamedia: "vendor/layerslider/layerslider.kreaturamedia.jquery",
    bootui: "vendor/ui/ui-bootstrap-tpls-1.1.0.min",
    utils: "vendor/ui/ui-utils/ui-utils.min",
    utilsieshiv: "vendor/ui/ui-utils/ui-utils-ieshiv.min",
    uiselect: "vendor/ui/ui-select/select.min"

  },

  shim: {    

	angular:{            
        exports: 'angular'
    },
           
    uiRouter:{
        deps: ['angular']
    },

    bootui:{
        deps: ['angular', 'angulartouch', 'angularAnimate']
    },

    utils:{
        deps: ['angular', 'bootui']
    },

    utilsieshiv:{
        deps: ['angular', 'bootui']
    },

    uiselect:{
        deps: ['angular', 'bootui']
    },

    'datatables.net': {
        deps: ['jquery']
    },

    datatables: {
        deps: ['jquery', 'datatables.net']
    },

    responsiveTables: {
        deps: ['jquery', 'datatables.net', 'datatables']
    },

    angularDataTables :{
        deps: ['angular', 'datatables.net']
    },
    
    ngscroll:{
        deps: ['angular']
    },

    angularidle:{
        deps: ['angular']
    },           

    ocLazyLoad:{
        deps: ['angular']
    },

    fireBase: {
        exports: 'Firebase'
    }, 

    angularFire: { 
        deps:["angular", "fireBase"]
    }, 

    back: {
        deps: ['jquery']
    },    
    
    uiRouter:{
        deps: ['angular']
    },     

    greensock: {
        deps: ['jquery']
    },

    layersliderTransitions: {
        deps: ['greensock']
    },

    layersliderKreaturamedia: {
        deps: ['jquery', 'greensock', 'layersliderTransitions']
    },     

    wait:{
        deps: ['jquery'],
        exports: 'waitMe'
    },       
    
    angulartouch:{
        deps: ['angular']
    },

    angularmock:{
        deps: ['angular']
    },

    fclick:{
        deps: ['jquery']
    },

    angularAnimate:{
        deps: ['angular']
    }
    
  },

  // kick start application
  deps: ['./bootstrap']

});
